Skip to main content
GET
/
verifications
/
{verification}
/
checks
List all checks for a verification
curl --request GET \
  --url https://app.ezyshield.com.au/api/verifications/{verification}/checks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "submitted_data": "<string>",
        "created_at": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

verification
string
required

The verification ID. Example: ver_01jz8v2q4x...

Query Parameters

sort
string
default:-created_at

Available sorts are created_at, result. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

fields[checks]
enum<string>[]
Available options:
submitted_data,
result,
created_at
filter[result]
enum<string>

Filter by check result.

Available options:
uncompromised,
compromised
Example:

"uncompromised"

Response

Paginated set of CheckResource

data
CheckResource · object[]
required
meta
object
required